<div class="flex flex-col flex-auto w-full bg-white">
    <div style="position: relative">
        <div style="
                background-image: url('../../assets/background.png');
                background-size: cover;
                background-repeat: no-repeat;
                height: 290px;
            ">
            <div class="container flex flex-wrap w-full pt-12">
                <div id="topUpFont" class="flex-grow flex">
                    <div id="cashWalletRM" class="relative flex items-center">
                        <div id="cashWalletFont" class="flex flex-col">
                            <div class="text-lg tracking-tight leading-6 truncate font-141461 font-Medium-18">
                                Cash Wallet
                            </div>
                            <div class="mt-3 text-sm font-medium text-4xl leading-none font-141461 font-Semibold-40">
                                {{ uomType
                                }}{{ availAmount | number : "1.2-2" }}
                            </div>
                            <!-- Separator -->
                            <div class="relative flex items-center mt-5">
                                <!-- <div class="flex-auto mt-px border-t"></div> -->
                            </div>
                            <div class="text-lg font-Regular-18 tracking-tight leading-6 truncate font-141461">
                                {{ bankName }}
                            </div>
                            <div class="text-sm font-Semibold-14 leading-none text-secondary font-141461 pt-3">
                                <mat-card class="px-4 py-3 rounded-full w-35" style="
                                        background-color: #121774;
                                        color: #fff;
                                    ">
                                    {{ hideDigits(displayAccount) }}
                                </mat-card>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ml-auto">
                    <button mat-flat-button class="button-r5-tier font-Regular-14" style="
                            background-color: #141461;
                            color: #ffffff;
                            padding: 5px;
                            border-radius: 5px;
                        " (click)="tierButton()">
                        {{ tierName }}
                    </button>
                </div>
            </div>
        </div>

        <div class="flex items-center justify-center mt-4" style="
                position: absolute;
                left: 50%;
                transform: translate(-50%, -70%);
            ">
            <!-- BGD Wallet -->
            <div class="relative flex justify-center">
                <div id="topUpFont" class="mx-2 pt-5 pl-9 shadow" style="
                        width: 168px;
                        height: 82px;
                        background-color: #1437f4;
                    ">
                    <button class="flex flex-col mx-6 justify-center items-center font-semibold text-center text-white"
                        (click)="topUp()">
                        <!--<mat-icon [svgIcon]="'heroicons_outline:user-circle'"></mat-icon>-->
                        <span class="font-Medium-18 mt-2">Top Up</span>
                        <!--<img
					class="w-8"
					src="assets/images/bgd/Group 71733.png"
					alt="">-->
                    </button>
                </div>
            </div>
            <div class="relative flex justify-center">
                <div id="topUpFont" class="mx-2 pt-5 pl-8 bg-orange-500 shadow" style="width: 168px; height: 82px">
                    <button class="flex flex-col mx-4 justify-center items-center font-semibold text-center text-white"
                        (click)="withDraw()">
                        <!--<mat-icon [svgIcon]="'heroicons_outline:user-circle'"></mat-icon>-->
                        <span class="font-Medium-18 mt-2">Withdraw</span>
                        <!--<img
					class="w-8"
					src="assets/images/bgd/Group 71733.png"
					alt="">-->
                    </button>
                </div>
            </div>
        </div>
        <br /><br />
        <div id="dashboardCW5" style="background-color: #ffffff">
            <div id="dashboardCW4" class="relative items-center justify-between w-full">
                <div id="cash3wallet" class="container flex w-full justify-between mt-7">
                    <div class="font-141461 font-Semibold-30">
                        Recent Activity
                    </div>

                    <div class="flex justify-end">
                        <mat-form-field appearance="outline" class="w-30">
                            <mat-select placeholder="All" [(ngModel)]="selectedOption"
                                (selectionChange)="onOptionChange($event.value)">
                                <mat-option value="All">All</mat-option>
                                <mat-option value="7">7 Days</mat-option>
                                <mat-option value="30">30 Days</mat-option>
                                <mat-option value="90">90 Days</mat-option>
                                <mat-option value="120">120 Days</mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>
                </div>

                <ng-container *ngIf="
                        dropdownData && dropdownData.length > 0;
                        else noTransaction
                    ">
                    <div class="container mat-elevation-z8 align-center flex w-full" style="box-shadow: none">
                        <table mat-table [dataSource]="displayData" class="mt-3" style="background-color: transparent">
                            <!-- Combined Column -->
                            <ng-container matColumnDef="transactionAmount">
                                <td mat-cell *matCellDef="let group" class="pt-3 pl-0">
                                    <ng-container *ngFor="let element of group">
                                        <ng-container *ngIf="element === group[0]">
                                            <b class="font-Medium-18">{{
                                                group[0].transaction
                                                }}</b>
                                            <br />
                                        </ng-container>
                                        <p class="font-Medium-16 pt-2" style="color: #7b7b7b">
                                            {{ element.uom
                                            }}{{
                                            element.amount
                                            | number : "1.2-2"
                                            }}
                                        </p>
                                    </ng-container>
                                </td>
                            </ng-container>

                            <!-- Date Column -->
                            <ng-container matColumnDef="dateAndDetails">
                                <td mat-cell *matCellDef="let group" class="font-Regular-16 pr-0"
                                    style="text-align: right; color: #7b7b7b">
                                    {{
                                    group[0].created_date
                                    | date : "dd MMMM yyyy - hh:mm:ss a"
                                    }}
                                    <br />
                                    <button (click)="
                                            getDetails(
                                                group[0].reference_id,
                                                group[0].transaction_code
                                            )
                                        " class="font-Regular-14 pt-3" style="color: #0038ff">
                                        View Details
                                    </button>
                                    <br />
                                    <p *ngIf="group[0].status_code === 'G01'" class="font-Regular-14 text-green-600">
                                        {{ group[0].status }}
                                    </p>
                                    <p *ngIf="group[0].status_code === 'G07'" class="font-Regular-14 text-red-600">
                                        {{ group[0].status }}
                                    </p>
                                    <p *ngIf="group[0].status_code === 'G13'" class="font-Regular-14 text-red-600">
                                        {{ group[0].status }}
                                    </p>
                                    <p *ngIf="group[0].status_code === 'G02'" class="font-Regular-14 text-red-600">
                                        {{ group[0].status }}
                                    </p>
                                    <p *ngIf="group[0].status_code === 'G05'" class="font-Regular-14 text-orange-400">
                                        {{ group[0].status }}
                                    </p>
                                </td>
                            </ng-container>

                            <tr mat-row *matRowDef="
                                    let row;
                                    columns: [
                                        'transactionAmount',
                                        'dateAndDetails'
                                    ]
                                "></tr>
                        </table>
                    </div>

                    <mat-paginator [pageSizeOptions]="[5, 10, 20]" [pageSize]="pageSize" [length]="totalItemsCount"
                        [pageIndex]="currentPageIndex" (page)="onPageChange($event)" showFirstLastButtons="false"
                        aria-label="Select page of transactions" class="container font-Medium-18 mb-10 flex w-full"
                        style="background-color: transparent; color: #7b7b7b">
                    </mat-paginator>
                </ng-container>

                <ng-template #noTransaction>
                    <div class="justify-center items-center" style="display: flex">
                        <img class="object-center px-18 xl:w-1/4 md:w-1/3 sm:w-3/5"
                            src="assets/images/bgd/Cash_Wallet.svg" alt="" />
                    </div>
                    <br />
                    <div class="text-center font-Regular-16">
                        Activity history will display after your first
                        transaction.
                    </div>

                    <br /><br /><br /><br /><br />
                </ng-template>
            </div>
        </div>
    </div>
</div>